# Get Stable Template

Retrieves stable version of Template at Project scope.

Endpoint: GET /v1/orgs/{org}/projects/{project}/templates/{template}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization Identifier

  - `project` (string, required)
    Project Identifier

  - `template` (string, required)
    Template Identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `include_yaml` (boolean)
    Use it to get Template along with Input Set YAML

  - `branch_name` (string)
    Name of the branch

  - `parent_entity_connector_ref` (string)
    Connector ref of parent template if its remote

  - `parent_entity_repo_name` (string)
    Repo name of parent template if its remote

  - `parent_entity_account_id` (string)
    Account name of parent template if its remote

  - `parent_entity_org_id` (string)
    Organization name of parent template if its remote

  - `parent_entity_project_id` (string)
    Project name of parent entity if its remote

## Response 200 fields (application/json):

  - `template` (object)
    Default response when a template is returned

  - `template.account` (string, required)
    Account identifier

  - `template.org` (string)
    Organization identifier

  - `template.project` (string)
    Project identifier

  - `template.identifier` (string, required)
    Template identifier

  - `template.name` (string, required)
    Template Name

  - `template.description` (string)
    Template description

  - `template.tags` (object)
    Template tags

  - `template.yaml` (string, required)
    Yaml related to template

  - `template.version_label` (string)
    Version label of template

  - `template.entity_type` (string)
    Type of Template
    Enum: "Step", "Stage", "Pipeline", "CustomDeployment", "MonitoredService", "SecretManager"

  - `template.child_type` (string)
    Defines child template type

  - `template.scope` (string)
    Scope of template
    Enum: "org", "project", "account", "unknown"

  - `template.updated` (integer)
    Last modification timestamp for Service.

  - `template.version` (integer)
    Version of template

  - `template.git_details` (object)
    Git Experience related details of the Entity.

  - `template.git_details.object_id` (string)
    Entity identifier

  - `template.git_details.branch_name` (string)
    Name of the branch.

  - `template.git_details.file_path` (string)
    File path of the Entity in the repository.

  - `template.git_details.repo_name` (string)
    Name of the repository.

  - `template.git_details.commit_id` (string)
    Latest commit identifier.

  - `template.git_details.file_url` (string)
    File URL of the Entity.

  - `template.git_details.repo_url` (string)
    Repository URL of the Entity.

  - `template.store_type` (string)
    Specifies whether the Entity is to be stored in Git or not (for Git Experience).
    Enum: "INLINE", "REMOTE"

  - `template.connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity (for Git Experience).

  - `template.yaml_version` (string)
    Specifies the yaml version of the template

  - `template.stable_template` (boolean)
    True if this version is stable version of Template

  - `inputs` (string)
    Input Yaml for the Template


